Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## util.sql
Class DBHelper

    java.lang.Object
      util.sql.DBHelper

    public class DBHelper

extends java.lang.Object

This class converts between different java datatypes

Author:
  Witthold/Korol

Constructor Summary
`private` | `DBHelper()`

Method Summary
`static java.util.HashMap<java.lang.Integer,int[]>` | `alToHmInt(java.util.ArrayList<int[]> al)` extracts int[0] to HashMap key, int[>0] to value
`static java.util.HashMap<java.lang.Integer,long[]>` | `alToHmLong(java.util.ArrayList<long[]> al)` extracts long[0] to HashMap key, long[>0] to value
`static Card` | `cardDBToCard(int cardDB)` converts card db style to Card
`static Card[]` | `cardsDBToCardArr(int[] cardsDB)` converts cards db style to Card[]

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBHelper

    private DBHelper()

Method Detail

### alToHmLong

    public static java.util.HashMap<java.lang.Integer,long[]> alToHmLong(java.util.ArrayList<long[]> al)

  extracts long[0] to HashMap key, long[>0] to value

  Parameters:
    `al` - as ArrayList
  Returns:
    HashMap

### alToHmInt

    public static java.util.HashMap<java.lang.Integer,int[]> alToHmInt(java.util.ArrayList<int[]> al)

  extracts int[0] to HashMap key, int[>0] to value

  Parameters:
    `al` - as ArrayList
  Returns:
    HashMap

### cardsDBToCardArr

    public static Card[] cardsDBToCardArr(int[] cardsDB)

  converts cards db style to Card[]

  Parameters:
    `cardsDB` - - cards in db format int[]
  Returns:
    Card[] cards

### cardDBToCard

    public static Card cardDBToCard(int cardDB)

  converts card db style to Card

  Parameters:
    `cardDB` - - one card in db format int
  Returns:
    Card card

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD